clear all
close all
clc
%% es 2
%expressione generica di tf con poli complessi coniugati:

% G(s)=mu*(omega_n^2)/(s^2+2*xi*omega_n*s+omega_n^2)


%G(s)=2*(omega_n^2)/(s^2+0.4*omega_n*s+omega_n^2)


% calcola omega_n tale che Ta1=5; % tempo assestamento 99% dato del
% problema
% xi=0.4/2=0.2
% T_eps = -log(0.01*eps)/(xi*omega_n) - > eps esprime in percentuale la
% distanza dal valore di regime relativa al tempo di assestamento calcolato
% siccome cerchiamo 1% si avr:
% 5=-log(0.01)/(0.2*omega_n)

omega_n=-log(0.01)/(0.2*5)


s=tf('s');
sist=2*(omega_n^2)/(s^2+0.4*omega_n*s+omega_n^2)
[y,t]=step(sist);
plot(t,y,'LineWidth',3)
grid
title('Second-Order Sistem with complex pole')

txt = "\omega_n="+string(omega_n);
text(5,1.5,txt,'Fontsize',15)
f_n=omega_n/(2*pi);
txt = "f_n="+string(f_n);
text(5,1,txt,'Fontsize',15)
T_n=1/f_n;
txt = "T_n="+string(T_n);
text(5,0.5,txt,'Fontsize',15)






