clear all
close all
clc


p.k12=0.5;
p.k13=0.5;
p.k3=0.5;
p.V3=2;
p.k23=0.5;

[A, B, C, D] = get_matrix_model(p);

% punto 1: raggiungibilit

Mr_man=[B, A*B, A^2*B]; %calcolata utilizzando formula

Mr_aut=ctrb(A,B); %calcolata utilizzando funzione matlab

if rank(Mr_aut)==size(A,1)
    disp('sistema raggiungibile')
else
    disp('sistema non raggiungibile')
end

% punto 2: si calcoli tf e si dica quale autovalore non  raggiungibile 
autovalori=eig(A)

sist=ss(A,B,C,D);

G=tf(sist);
G_zeros_poles=zpk(sist)


%l'autovalore -1  non raggiungibile e/o non osservabile (siccome il
%sistema non  n raggiungibile n osservabile l'autovalore in questione  
%non raggiungibile e/o non osservabile

% punto 3: se viene eliminato il compartimento uno non dovrebbe cambiare
% nulla


A_reduced= [-p.k23, 0;
     p.k23, -p.k3];
B_reduced=[ 1;
    0];
C_reduced=[ 0, 1/p.V3];
D_reduced=[0];

autovalori_reduced=eig(A_reduced)

sist_reduced=ss(A_reduced,B_reduced,C_reduced,D_reduced);

G_reduced=tf(sist_reduced);
G_reduced_zeros_poles=zpk(sist_reduced)